=== debian/changelog ===
cdirip (0.6.3-1) unstable; urgency=low

  * New upstream version.
  * Development continued by me, under GPL, on SourceForge.

 -- Lawrence Williams <lawrence_cecil_williams@hotmail.com>  Thu, 06 May 2004 14:35:52 -0230

cdirip (0.6-2) unstable; urgency=low

  * Fixed upstream author information.

 -- Lawrence Williams <lawrence_cecil_williams@hotmail.com>  Thu, 22 Apr 2004 19:06:56 -0230

cdirip (0.6-1) unstable; urgency=low

  * Initial Release.

 -- Lawrence Williams <lawrence_cecil_williams@hotmail.com>  Thu, 22 Apr 2004 18:00:16 -0230
