=== debian/control ===
Source: cdirip
Section: otherosfs
Priority: optional
Maintainer: Lawrence Williams <lawrence_cecil_williams@hotmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: cdirip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Extract tracks from DiscJuggler .CDI images
 CDIRip extracts the track(s) from DiscJuggler .CDI images and makes it possible to burn them under Linux, using utilities like cdrecord and k3b ( a nice GUI for KDE ).
